Download it now!
Bug 88032 - EDITING: Anomalies when copying field definition rows between tables in design view
Summary: EDITING: Anomalies when copying field definition rows between tables in desig...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Database-Tables
  Show dependency treegraph
 
Reported: 2015-01-05 00:05 UTC by James B. Byrne
Modified: 2019-12-03 14:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
LOBASE: simple base file showing results of table design cut and paste (4.55 KB, application/vnd.sun.xml.base)
2015-01-05 19:43 UTC, James B. Byrne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2015-01-05 00:05:11 UTC
If one copies one or more table fields from a table design view and pastes them into a new table in design view then the comments are lost.

If the source field definitions have a custom date format then that format appears in the default value field in the destination table definition.

For example:

Source table
  Field Name            Field Type             Description

* date_effective_from   Date/Time[TIMESTAMP]   Date before which . . .

  date_effective_from   Date/Time[TIMESTAMP]   Date after which . . .

Entry required          No
Decimal places          0
Default value  
Format example          1900-01-01 00:00


Destination table after copy and paste before save
  Field Name            Field Type             Description

* date_effective_from   Date/Time[TIMESTAMP]   

  date_effective_from   Date/Time[TIMESTAMP]   

Entry required          No
Decimal places          0
Default value           1900-01-01 00:00
Format example          1900-01-01 00:0000


Destination table after save, exit, open and edit
  Field Name            Field Type             Description

* date_effective_from   Date/Time[TIMESTAMP]   

  date_effective_from   Date/Time[TIMESTAMP]   

Entry required          No
Decimal places          0
Default value           1900-01-05 00:00
Format example          1900-01-05 00:00

Note that in the design view of the new table each time that I click on the field type for either of these field the Default value and the Format example changes.  It apparently increments the day by 2 and the month will roll over if one repeats selecting and deselecting the Field Type a sufficient number of times.
Comment 1 James B. Byrne 2015-01-05 19:43:07 UTC
Created attachment 111780 [details]
LOBASE: simple base file showing results of table design cut and paste

This simple database design contains two tables, tbl_bugs and tbl_new_bugs.  tbl_bugs was created in design view and the manually entered design rows given descriptions.  tbl_new_bugs was also created in the design view but all of the design elements, other than the the primary key were copied from tbl_bugs and pasted in.

The results are that all of the descriptions are lost and the DATE/TIME[TIMESTAMP] fields are given default values that do not exist in the original table.

This particular database was created and modified entirely on a CentOS-6.6 Linux host.  It exhibits precisely the same behaviour as noted on OSX-10.9.5.
Comment 2 raal 2015-01-08 08:04:46 UTC
I can confirm with LO 4.3.5, win7.
In my case is 

Destination table after save, exit, open and edit
  Field Name            Field Type             Description

* date_effective_from   Date/Time[TIMESTAMP]   

  date_effective_from   Date/Time[TIMESTAMP]   

Entry required          No
Decimal places          0
Default value           1900-01-03 00:00
Format example          1900-01-03 00:00
Comment 3 QA Administrators 2016-01-17 20:03:42 UTC Comment hidden (obsolete)
Comment 4 James B. Byrne 2016-01-18 14:04:41 UTC
This bug is still present in v.5.0.3.2 which is the latest that I have available for CentOS-6.7.
Comment 5 QA Administrators 2017-03-06 14:13:54 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:28:37 UTC
Dear James B. Byrne,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug